ru.bitel.bgbilling.kernel.log.common.bean

## Class ConnectionLogEntry

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.bgbilling.kernel.log.common.bean.ConnectionLogEntry

- All Implemented Interfaces:
    java.io.Serializable, Idable

      public class ConnectionLogEntry
      extends Id

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `coordEnable`
    `static int` | `TYPE_DHCP_REQUEST`
    `static int` | `TYPE_RADIUS_ACCESS_REQUEST`
    `static int` | `TYPE_RADIUS_ACCOUNTING_REQUEST`
    `static int` | `TYPE_RADIUS_COA_REQUEST`
    `static int` | `TYPE_RADIUS_POD_REQUEST`

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectionLogEntry()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAcctSessId()`
    `int` | `getApplicationId()`
    `long` | `getConnectionId()`
    `int` | `getDeviceId()`
    `int` | `getDevicePort()`
    `java.lang.String` | `getIdentifier()`
    `int` | `getLogType()`
    `int` | `getRequestChunkId()`
    `int` | `getRequestDataLogId()`
    `int` | `getRequestPosition()`
    `int` | `getResponseChunkId()`
    `int` | `getResponseDataLogId()`
    `int` | `getResponsePosition()`
    `java.util.Date` | `getTime()`
    `void` | `setAcctSessId(java.lang.String acctSessId)`
    `void` | `setApplicationId(int applicationId)`
    `void` | `setConnectionId(long connectionId)`
    `void` | `setDeviceId(int deviceId)`
    `void` | `setDevicePort(int devicePort)`
    `void` | `setIdentifier(java.lang.String identifier)`
    `void` | `setLogType(int logType)`
    `void` | `setRequestChunkId(int chunkId)`
    `void` | `setRequestDataLogId(int dataLogId)`
    `void` | `setRequestPosition(int position)`
    `void` | `setResponseChunkId(int responseChunkId)`
    `void` | `setResponseDataLogId(int responseDataLogId)`
    `void` | `setResponsePosition(int responsePosition)`
    `void` | `setTime(java.util.Date time)`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### coordEnable

          public static volatile boolean coordEnable

    - #### TYPE_DHCP_REQUEST

          public static final int TYPE_DHCP_REQUEST

      See Also:
        Constant Field Values

    - #### TYPE_RADIUS_ACCESS_REQUEST

          public static final int TYPE_RADIUS_ACCESS_REQUEST

      See Also:
        Constant Field Values

    - #### TYPE_RADIUS_ACCOUNTING_REQUEST

          public static final int TYPE_RADIUS_ACCOUNTING_REQUEST

      See Also:
        Constant Field Values

    - #### TYPE_RADIUS_COA_REQUEST

          public static final int TYPE_RADIUS_COA_REQUEST

      See Also:
        Constant Field Values

    - #### TYPE_RADIUS_POD_REQUEST

          public static final int TYPE_RADIUS_POD_REQUEST

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ConnectionLogEntry

          public ConnectionLogEntry()

  - ### Method Detail

    - #### getApplicationId

          public int getApplicationId()

    - #### setApplicationId

          public void setApplicationId(int applicationId)

    - #### getDeviceId

          public int getDeviceId()

    - #### setDeviceId

          public void setDeviceId(int deviceId)

    - #### getDevicePort

          public int getDevicePort()

    - #### setDevicePort

          public void setDevicePort(int devicePort)

    - #### getConnectionId

          public long getConnectionId()

    - #### setConnectionId

          public void setConnectionId(long connectionId)

    - #### getTime

          public java.util.Date getTime()

    - #### setTime

          public void setTime(java.util.Date time)

    - #### getAcctSessId

          public java.lang.String getAcctSessId()

    - #### setAcctSessId

          public void setAcctSessId(java.lang.String acctSessId)

    - #### getLogType

          public int getLogType()

    - #### setLogType

          public void setLogType(int logType)

    - #### getRequestDataLogId

          public int getRequestDataLogId()

    - #### setRequestDataLogId

          public void setRequestDataLogId(int dataLogId)

    - #### getRequestChunkId

          public int getRequestChunkId()

    - #### setRequestChunkId

          public void setRequestChunkId(int chunkId)

    - #### getRequestPosition

          public int getRequestPosition()

    - #### setRequestPosition

          public void setRequestPosition(int position)

    - #### getResponseDataLogId

          public int getResponseDataLogId()

    - #### setResponseDataLogId

          public void setResponseDataLogId(int responseDataLogId)

    - #### getResponseChunkId

          public int getResponseChunkId()

    - #### setResponseChunkId

          public void setResponseChunkId(int responseChunkId)

    - #### getResponsePosition

          public int getResponsePosition()

    - #### setResponsePosition

          public void setResponsePosition(int responsePosition)

    - #### getIdentifier

          public java.lang.String getIdentifier()

    - #### setIdentifier

          public void setIdentifier(java.lang.String identifier)